## qemu-sbuild-utils 0.2.1

=== Makefile ===
#!/usr/bin/make -f
# Author: Christian Kastner <ckk@kvr.at>


VERSION = 0.1


BINDIR = $(DESTDIR)/usr/bin
SBINDIR = $(DESTDIR)/usr/sbin
LIBDIR = $(DESTDIR)/usr/lib
MANDIR = $(DESTDIR)/usr/share/man/man1


build:
	mkdir -p man/
	help2man \
		--version-string $(VERSION) \
		-n "sbuild using QEMU images" \
		-N \
		-L C.UTF-8 \
		-o man/qemu-sbuild.1 \
		bin/qemu-sbuild
	cat doc/qemu-sbuild.append >> man/qemu-sbuild.1
	help2man \
		--version-string $(VERSION) \
		-n "QEMU image updater" \
		-N \
		-L C.UTF-8 \
		-o man/qemu-sbuild-update.1 \
		bin/qemu-sbuild-update
	cat doc/qemu-sbuild-update.append >> man/qemu-sbuild-update.1
	help2man \
		--version-string $(VERSION) \
		-n "QEMU image creator for sbuild" \
		-N \
		-L C.UTF-8 \
		-o man/qemu-sbuild-create.1 \
		sbin/qemu-sbuild-create
	cat doc/qemu-sbuild-create.append >> man/qemu-sbuild-create.1

install:
	install -m 755 -d $(BINDIR) $(SBINDIR) $(MANDIR)
	install -m 755 -d $(LIBDIR)/qemu-sbuild-create
	install -m 755 bin/qemu-sbuild bin/qemu-sbuild-update $(BINDIR)/
	install -m 755 sbin/qemu-sbuild-create $(SBINDIR)/
	install -m 755 lib/modscript $(LIBDIR)/qemu-sbuild-create/

clean:
	rm -rf man

=== debian/changelog ===
qemu-sbuild-utils (0.2.1) unstable; urgency=medium

  * Convert qemu-sbuild-utils to dummy transitional package.
    This project has been integrated with sbuild as package sbuild-qemu.
  * Add NEWS entry

 -- Christian Kastner <ckk@debian.org>  Mon, 25 Jan 2021 01:27:37 +0100

qemu-sbuild-utils (0.2) unstable; urgency=medium

  * qemu-sbuild-create:
    - Add documentation for /shared mountpoint
    - Drop --mod-script option
    - When building for experimental, debootstrap unstable
      This was the intention and how the man page documents it, but somehow
      this got overlooked
  * qemu-sbuild-update:
    - Explicitly set DEBIAN_FRONTEND=noninteractive
    - Add --arch option, for when auto-guessing fails
  * qemu-sbuild:
    - Add --overlay-dir option (needed for larger builds)
  * all: Set NAME for man pages

 -- Christian Kastner <ckk@debian.org>  Tue, 08 Dec 2020 18:26:23 +0100

qemu-sbuild-utils (0.1) unstable; urgency=medium

  * First upload to unstable.

 -- Christian Kastner <ckk@debian.org>  Wed, 04 Nov 2020 18:22:49 +0100

qemu-sbuild-utils (0.0.2) unstable; urgency=medium

  * qemu-sbuild-update: Add --snapshot option
  * qemu-sbuild-create: --skel must recurse and preserve
  * Add help texts to the argparse options
  * Create man pages
  * Restrict architecture to amd64 for now
  * Add help2man, python3-pexpect, python3-psutil to Build-Depends
  * Add README suggestion for KVM support
  * Add Homepage and Vcs-* fields

 -- Christian Kastner <ckk@debian.org>  Tue, 03 Nov 2020 22:28:12 +0100

qemu-sbuild-utils (0.0.1) unstable; urgency=medium

  * Initial release.

 -- Christian Kastner <ckk@debian.org>  Sun, 01 Nov 2020 15:50:21 +0100

=== debian/control ===
Source: qemu-sbuild-utils
Section: oldlibs
Priority: optional
Maintainer: Christian Kastner <ckk@debian.org>
Build-Depends: debhelper-compat (= 12),
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/ckastner/qemu-sbuild-utils
Vcs-Git: https://github.com/ckastner/qemu-sbuild-utils.git
Vcs-Browser: https://github.com/ckastner/qemu-sbuild-utils

Package: qemu-sbuild-utils
Architecture: amd64
Depends: sbuild-qemu,
         ${misc:Depends},
Description: Transitional dummy package
 This is a dummy package to facilitate the migration to the new sbuild-qemu
 package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_build:
override_dh_auto_install:
	true
